## atop 1.16

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 		tar czvf /tmp/atop.tar.gz *
 ##########################################################################
 
-atop.o:		atop.h	photoproc.h photosyst.h  acctproc.h
+atop.o:		atop.h	photoproc.h photosyst.h  acctproc.h showgeneric.h
 rawlog.o:	atop.h	photoproc.h photosyst.h
 various.o:	atop.h                           acctproc.h
 deviate.o:	atop.h	photoproc.h photosyst.h
