## atop 1.20

=== Makefile ===
--- 
+++ 
@@ -10,12 +10,14 @@
 LOGPATH = /var/log/atop
 MANPATH = /usr/share/man/man1
 INIPATH = /etc/rc.d/init.d
+CRNPATH = /etc/cron.d
+ROTPATH = /etc/logrotate.d
 
 CFLAGS  = -O -I. -Wall
 LDFLAGS = -lncurses -lm -lz
 OBJMOD0 = version.o
 OBJMOD1 = various.o  deviate.o   procdbase.o
-OBJMOD2 = acctproc.o photoproc.o photosyst.o  rawlog.o
+OBJMOD2 = acctproc.o photoproc.o photosyst.o  rawlog.o ifprop.o parseable.o
 OBJMOD3 = showgeneric.o          showlinux.o
 ALLMODS = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3)
 
@@ -33,17 +35,21 @@
 		if [ ! -d $(DESTDIR)$(SCRPATH) ]; then mkdir -p $(DESTDIR)$(SCRPATH); fi
 		if [ ! -d $(DESTDIR)$(MANPATH) ]; then mkdir -p $(DESTDIR)$(MANPATH); fi
 		if [ ! -d $(DESTDIR)$(INIPATH) ]; then mkdir -p $(DESTDIR)$(INIPATH); fi
+		if [ ! -d $(DESTDIR)$(CRNPATH) ]; then mkdir -p $(DESTDIR)$(CRNPATH); fi
+		if [ ! -d $(DESTDIR)$(ROTPATH) ]; then mkdir -p $(DESTDIR)$(ROTPATH); fi
 		cp atop   	 $(DESTDIR)$(BINPATH)/atop
 		chown root	 $(DESTDIR)$(BINPATH)/atop
 		chmod 04711 	 $(DESTDIR)$(BINPATH)/atop
 		cp atop.daily    $(DESTDIR)$(SCRPATH)
 		chmod 0711 	 $(DESTDIR)$(SCRPATH)/atop.daily
-		cp atop.24hours  $(DESTDIR)$(SCRPATH)
-		chmod 0711 	 $(DESTDIR)$(SCRPATH)/atop.24hours
 		cp man/atop.1    $(DESTDIR)$(MANPATH)
 		cp atop.init     $(DESTDIR)$(INIPATH)/atop
+		cp atop.cron     $(DESTDIR)$(CRNPATH)/atop
+		cp psaccs_atop   $(DESTDIR)$(ROTPATH)/psaccs_atop
+		cp psaccu_atop   $(DESTDIR)$(ROTPATH)/psaccu_atop
+		touch            $(DESTDIR)$(LOGPATH)/dummy_before
+		touch            $(DESTDIR)$(LOGPATH)/dummy_after
 		if [ -z "$(DESTDIR)" ]; then /sbin/chkconfig --add atop; fi
-
 
 distr:
 		rm -f *.o
@@ -53,6 +59,8 @@
 atop.o:		atop.h	photoproc.h photosyst.h  acctproc.h showgeneric.h
 rawlog.o:	atop.h	photoproc.h photosyst.h
 various.o:	atop.h                           acctproc.h
+ifprop.o:	atop.h	            photosyst.h             ifprop.h
+parseable.o:	atop.h	photoproc.h photosyst.h             parseable.h
 deviate.o:	atop.h	photoproc.h photosyst.h
 procdbase.o:	atop.h	photoproc.h
 acctproc.o:	atop.h	photoproc.h              acctproc.h
