## atop 1.22

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,8 @@
 OBJMOD1 = various.o  deviate.o   procdbase.o
 OBJMOD2 = acctproc.o photoproc.o photosyst.o  rawlog.o ifprop.o parseable.o
 OBJMOD3 = showgeneric.o          showlinux.o
-ALLMODS = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3)
+OBJMOD4 = atopsar.o
+ALLMODS = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3) $(OBJMOD4)
 
 all: 		atop
 
@@ -27,7 +28,7 @@
 		cc atop.o $(ALLMODS) -o atop $(LDFLAGS)
 
 clean:
-		rm -f *.o
+		rm -f *.o atop
 
 install:	atop
 		if [ ! -d $(DESTDIR)$(LOGPATH) ]; then mkdir -p $(DESTDIR)$(LOGPATH); fi
@@ -40,9 +41,12 @@
 		cp atop   	 $(DESTDIR)$(BINPATH)/atop
 		chown root	 $(DESTDIR)$(BINPATH)/atop
 		chmod 04711 	 $(DESTDIR)$(BINPATH)/atop
+		-rm              $(DESTDIR)$(BINPATH)/atopsar
+		ln -s atop       $(DESTDIR)$(BINPATH)/atopsar
 		cp atop.daily    $(DESTDIR)$(SCRPATH)
 		chmod 0711 	 $(DESTDIR)$(SCRPATH)/atop.daily
 		cp man/atop.1    $(DESTDIR)$(MANPATH)
+		cp man/atopsar.1 $(DESTDIR)$(MANPATH)
 		cp atop.init     $(DESTDIR)$(INIPATH)/atop
 		cp atop.cron     $(DESTDIR)$(CRNPATH)/atop
 		cp psaccs_atop   $(DESTDIR)$(ROTPATH)/psaccs_atop
@@ -57,6 +61,7 @@
 ##########################################################################
 
 atop.o:		atop.h	photoproc.h photosyst.h  acctproc.h showgeneric.h
+atopsar.o:	atop.h	            photosyst.h                           
 rawlog.o:	atop.h	photoproc.h photosyst.h
 various.o:	atop.h                           acctproc.h
 ifprop.o:	atop.h	            photosyst.h             ifprop.h
