=== debian/control ===
Source: atop
Section: admin
Priority: optional
Maintainer: Edelhard Becker <edelhard@debian.org>
Build-Depends: debhelper (>= 4), zlib1g-dev, libncurses5-dev
Standards-Version: 3.7.2

Package: atop
Architecture: any
Depends: ${shlibs:Depends}, logrotate
Description: Monitor for system resources and process activity
 Atop is an ASCII full-screen performance monitor, similar to the top command,
 but atop only shows the active system-resources and processes, and only shows
 the deviations since the previous interval.  At regular intervals, it shows
 system-level activity related to the CPU, memory, swap, disks and network
 layers, and it shows for every active process the CPU utilization in system
 and user mode, the virtual and resident memory growth, priority, username,
 state, and exit code. The process level activity is also shown for processes
 which finished during the last interval, to get a complete overview about the
 consumers of things such as CPU time.
 .
  Author: Gerlof Langeveld <gerlof@ATComputing.nl>
  Homepage: http://www.atconsultancy.nl/atop/home.html
