## atop 1.23

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 CRNPATH = /etc/cron.d
 ROTPATH = /etc/logrotate.d
 
-CFLAGS  = -O -I. -Wall
+CFLAGS  = -O -I. -Wall	 # -DHTTPSTATS
 LDFLAGS = -lncurses -lm -lz
 OBJMOD0 = version.o
 OBJMOD1 = various.o  deviate.o   procdbase.o
@@ -28,7 +28,7 @@
 		cc atop.o $(ALLMODS) -o atop $(LDFLAGS)
 
 clean:
-		rm -f *.o atop
+		rm -f *.o
 
 install:	atop
 		if [ ! -d $(DESTDIR)$(LOGPATH) ]; then mkdir -p $(DESTDIR)$(LOGPATH); fi
@@ -61,7 +61,7 @@
 ##########################################################################
 
 atop.o:		atop.h	photoproc.h photosyst.h  acctproc.h showgeneric.h
-atopsar.o:	atop.h	            photosyst.h                           
+atopsar.o:	atop.h	photoproc.h photosyst.h                           
 rawlog.o:	atop.h	photoproc.h photosyst.h
 various.o:	atop.h                           acctproc.h
 ifprop.o:	atop.h	            photosyst.h             ifprop.h
