## atop 1.23-1maemo1

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 		cc atop.o $(ALLMODS) -o atop $(LDFLAGS)
 
 clean:
-		rm -f *.o
+		rm -f *.o atop
 
 install:	atop
 		if [ ! -d $(DESTDIR)$(LOGPATH) ]; then mkdir -p $(DESTDIR)$(LOGPATH); fi
