=== debian/changelog ===
atop (1.23-1maemo1) unstable; urgency=low

  * Initial release. (Give it a TRY !!!).

 -- COLIN Stephane <colin.stephane@ovi.com>  Sun, 14 Aug 2011 00:25:58 +0200

atop (1.23-1) unstable; urgency=low

  * fixed typo (Closes: #467447)
  * last release was built as native package

 -- Edelhard Becker <edelhard@debian.org>  Fri, 07 Mar 2008 22:07:27 +0100

atop (1.23) unstable; urgency=low

  * new upstream release
  * bump standards to 3.7.3 (no changes)
  * moved homepage from description to control field

 -- Edelhard Becker <edelhard@debian.org>  Fri, 07 Mar 2008 16:16:15 +0100
