=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Edelhard Becker <edelhard@debian.org>
 Build-Depends: debhelper (>= 4), zlib1g-dev, libncurses5-dev
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
+Homepage: http://www.atconsultancy.nl/atop/home.html
 
 Package: atop
 Architecture: any
@@ -20,4 +21,3 @@
  consumers of things such as CPU time.
  .
   Author: Gerlof Langeveld <gerlof@ATComputing.nl>
-  Homepage: http://www.atconsultancy.nl/atop/home.html
