=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site			Directory	Pattern			Version	Script
version=2
# the old ftp site
#ftp://ftp.atcomputing.nl/pub/tools/linux/atop-(.*)\.tar\.gz	debian	uupdate
# the new website
http://www.atconsultancy.nl/atop/download.html packages/atop-(.*)\.tar\.gz
