## atop 1.26-1maemo1

=== debian/changelog ===
atop (1.26-1maemo1) lucid; urgency=low

  * Initial release. (Give it a TRY !!!).

 -- COLIN Stephane <colin.stephane@ovi.com>  Sun, 14 Aug 2011 11:22:17 +0200

atop (1.26-0ubuntu1~blueyedppa1) lucid; urgency=low

  * Backport for Lucid/Squeeze.

 -- Daniel Hahler <ubuntu@thequod.de>  Thu, 27 Jan 2011 20:43:04 +0100

atop (1.26-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #629546, Closes: #569175)
  * Use "--oknodo" in init script (LP: #188350, Closes: #477362)
  * Only call logrotate in postinst if it exists (LP: #597051)

 -- Daniel Hahler <ubuntu@thequod.de>  Thu, 27 Jan 2011 20:28:15 +0100
