## atop 1.26-1maemo2

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 		$(CC) atop.o $(ALLMODS) -o atop $(LDFLAGS)
 
 clean:
-		rm -f *.o
+		rm -f *.o atop
 
 install:	atop
 		if [ ! -d $(DESTDIR)$(LOGPATH) ]; 	\
