=== debian/changelog ===
atop (1.26-1maemo2) lucid; urgency=low

  * Remove dependency to logrotate.

 -- COLIN Stephane <colin.stephane@ovi.com>  Sun, 14 Aug 2011 11:40:56 +0200
