## atop 2.0.2

=== Makefile ===
--- 
+++ 
@@ -9,30 +9,32 @@
 LOGPATH  = /var/log/atop
 MAN1PATH = /usr/share/man/man1
 MAN5PATH = /usr/share/man/man5
-INIPATH  = /etc/rc.d/init.d
+INIPATH  = /etc/init.d
 CRNPATH  = /etc/cron.d
 ROTPATH  = /etc/logrotate.d
 PMPATH1  = /usr/lib/pm-utils/sleep.d
 PMPATH2  = /usr/lib64/pm-utils/sleep.d
 
-CFLAGS  += -O2 -I. -Wall	 # -DHTTPSTATS
-LDFLAGS += -lncurses -lm -lz
+CFLAGS  += -O2 -I. -Wall 	 # -DHTTPSTATS
 OBJMOD0  = version.o
 OBJMOD1  = various.o  deviate.o   procdbase.o
 OBJMOD2  = acctproc.o photoproc.o photosyst.o  rawlog.o ifprop.o parseable.o
 OBJMOD3  = showgeneric.o          showlinux.o  showsys.o showprocs.o
-OBJMOD4  = atopsar.o
+OBJMOD4  = atopsar.o  netatopif.o
 ALLMODS  = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3) $(OBJMOD4)
 
 VERS     = $(shell ./atop -V 2>/dev/null| sed -e 's/^[^ ]* //' -e 's/ .*//')
 
-all: 		atop
+all: 		atop atopsar
 
 atop:		atop.o    $(ALLMODS) Makefile
-		$(CC) atop.o $(ALLMODS) -o atop $(LDFLAGS)
+		$(CC) atop.o $(ALLMODS) -o atop -lncurses -lm -lz -lrt
+
+atopsar:	atop
+		ln -sf atop atopsar
 
 clean:
-		rm -f *.o atop
+		rm -f *.o
 
 install:	atop
 		if [ ! -d $(DESTDIR)$(LOGPATH) ]; 	\
@@ -75,8 +77,10 @@
 		cp psaccu_atop  	$(DESTDIR)$(ROTPATH)/psaccu_atop
 		touch          	  	$(DESTDIR)$(LOGPATH)/dummy_before
 		touch            	$(DESTDIR)$(LOGPATH)/dummy_after
-		if [ -z "$(DESTDIR)" ]; then /sbin/chkconfig --add atop; fi
-distr: rm -f *.o
+		if [ -z "$(DESTDIR)" -a -f /sbin/chkconfig ]; then /sbin/chkconfig --add atop; fi
+		if [ -z "$(DESTDIR)" -a -f /usr/sbin/update-rc.d ]; then update-rc.d atop defaults; fi
+
+distr: rm -f *.o atop
 		tar czvf /tmp/atop.tar.gz *
 ##########################################################################
 
@@ -88,7 +92,8 @@
 parseable.o:	atop.h	photoproc.h photosyst.h             parseable.h
 deviate.o:	atop.h	photoproc.h photosyst.h
 procdbase.o:	atop.h	photoproc.h
-acctproc.o:	atop.h	photoproc.h              acctproc.h
+acctproc.o:	atop.h	photoproc.h              acctproc.h netatop.h
+netatopif.o:	atop.h	photoproc.h              netatopd.h netatop.h
 photoproc.o:	atop.h	photoproc.h
 photosyst.o:	atop.h	            photosyst.h
 showgeneric.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
