=== debian/changelog ===
atop (2.0.2-1mrtns1) precise+mrtns; urgency=low

  * Ubuntu Precise release by EvilMartians

 -- Maxim Filatov <bregor@evilmartians.com>  Tue, 03 Jun 2014 11:26:46 +0200
