=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: atop
 Section: admin
 Priority: optional
-Maintainer: Edelhard Becker <edelhard@debian.org>
-Build-Depends: debhelper (>= 4), zlib1g-dev, libncurses5-dev
-Standards-Version: 3.7.3
-Homepage: http://www.atconsultancy.nl/atop/home.html
+Maintainer: Vincent Caron <vcaron@bearstech.com>
+Uploaders: Maxim Filatov <bregor@evilmartians.com>
+Build-Depends: debhelper (>= 8), zlib1g-dev, libncurses5-dev
+Standards-Version: 3.9.3
+Homepage: http://www.atoptool.nl/
 
 Package: atop
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Monitor for system resources and process activity
  Atop is an ASCII full-screen performance monitor, similar to the top command,
  but atop only shows the active system-resources and processes, and only shows
@@ -20,4 +21,4 @@
  which finished during the last interval, to get a complete overview about the
  consumers of things such as CPU time.
  .
-  Author: Gerlof Langeveld <gerlof@ATComputing.nl>
+ Author: Gerlof Langeveld <gerlof@ATComputing.nl>
