=== debian/changelog ===
atop (2.2.6-4) unstable; urgency=medium

  * remove versioned dependency on initscripts. See also #852314.
    Thanks to Stephen Kitt (Closes: 852239)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 25 Jan 2017 20:45:37 +0100

atop (2.2.6-3) unstable; urgency=medium

  * use nocompress in logrotate files, workaround for logrotate < 3.11.
    Thanks to Yuri D'Elia (Closes: 851138)
  * add reference to #848682 and #484683 to NEWS.
    Thanks to Martin Steigerwald (Closes: 833997)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 19 Jan 2017 13:11:18 +0000

atop (2.2.6-2) unstable; urgency=medium

  * upload to unstable (finally)
  * add NEWS.Debian explanation for #842136 and #849138

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 27 Dec 2016 13:01:24 +0100

atop (2.2.6-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.6
    * This is 2.2.5 plus a (yet unreleased) upstream change to
      implement a polling mode in case NETLINK refuses with
      error EINVAL, working around kernel bug 190711.
    * 2.2.6 upstream version used in coordination with Upstream,
      orig.tar.gz created by Debian.
    * This hopefully takes care of installation issues.
      Thanks to Vincent Lefevre (Closes: 848657)
      Thanks to Yuri D'Elia (Closes: 848582)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 20 Dec 2016 10:33:24 +0100

atop (2.2.5-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.5
    * This cannot possibly go without saying big THANKS to Upstream.
      Your help was great!
    * Fix c/p Error in man atop(1). 
      Thanks to Alexandre Kieffer (Closes: #840645)
    * Take care that atopacctd terminates upon receipt of SIGTERM
      signal. Thanks to Vincent Lefevre (Closes: #834226)
  * install atop-pm to /etc/systemd/system-sleep (Closes: 834039)
  * Architecture: linux-any
  * fix path typo in cron.d.
    Thanks to Sam Morris (Closes: #846954)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 25 Oct 2016 10:46:20 +0200

atop (2.2.4-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.4
    * this is an upstream bugfix release
    * adapt patches
  * move "lock" files to /run/lock.
    Thanks to Vincent Lefevre (Closes: #833955)
  * check for systemd via /run/systemd/system.
    Thanks to Sam Morris (Closes: #840407)
  * set nomail in logrotate files (Closes: #833982)
  * fix wrong URL to X-Vcs-Browser

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 10 Aug 2016 11:07:16 +0200

atop (2.2.3-1~exp1) experimental; urgency=low

  * New upstream version 2.2.3
    * adapt patches
    * fix no-version-symlinks patch
    * add var-run patch to replace /var/run with /run
    * create dummy files in /var/log/atop in postinst
    * install atop.daily to /usr/share instead of /etc
    * move away old log file if upgrading (incompatible format)
    * unfortunately this version is not suitable for unstable since it
      sometimes does not cleanly restart when restarted during the day
  * init scripts:
    * remove debian specific init script
    * use upstream's init scripts, install them using debhelper.
      (Closes: #730167)
    * add dependency on $remote_fs to init scripts
    * implement force-reload in init scripts
    * fix swapped lsb headers (Short-Description and Description)
    * call lsb/init-functions in init scripts
  * systemd units
    * use upstream's systemd units, install them using debhelper
    * do not depend on syslog.target (lintian)
    * put systemd unit in /lib/systemd
    * have systemd unit start atopaccd from /usr/sbin
  * packaging:
    * do call both systemdinstall and sysvinstall. order matters.
    * remove grossly outdated README.Debian and NEWS
    * document in atop.default that the file is no longer used
    * recommend cron | cron-daemon.
      Thanks to Alexandre Detiste (Closes: #798233)
    * fix project homepage in debian/control (Closes: #740359)
    * versioned depends on initscripts (/run)
    * Standards-Version: 3.9.8 (no changes necessary)
    * fix watch file
  * new Debian cron.d script (cross of upstream's two cron.d scripts)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 09 Aug 2016 20:54:27 +0200

atop (1.27.3-1) experimental; urgency=low

  * New upstream version 1.27.3
    * will not exceed 50 MB of memory allocation. Closes: #575547
  * upstream is no longer repacked
  * refresh patches
  * remove virtio-disks patch (applied upstream)
  * remove patch logfiles (applied upstream)
  * fix wrongly escaped quote in atoprc.5 man page

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 25 Jul 2012 22:17:28 +0200
