=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/atop.service debian/atopacct.service debian/atop.init debian/atopacct.init
	rm -f atop

override_dh_systemd_enable:
	dh_systemd_enable atop.service
	dh_systemd_enable atopacct.service

override_dh_systemd_start:
	dh_systemd_start atop.service
	dh_systemd_start atopacct.service

override_dh_installinit:
	cp atop.service debian/atop.service
	cp atopacct.service debian/atopacct.service
	cp atop.init debian/atop.init
	cp atopacct.init debian/atopacct.init
	dh_installinit --name=atop
	dh_installinit --name=atopacct

override_dh_auto_install:
	dh_auto_install
	make sysvinstall DESTDIR=$(shell pwd)/debian/atop
	make systemdinstall DESTDIR=$(shell pwd)/debian/atop
