## atop 2.3.0

=== Makefile ===
--- 
+++ 
@@ -45,6 +45,7 @@
 
 clean:
 		rm -f *.o
+		rm atop atopsar atopacctd
 
 distr:
 		rm -f *.o atop
@@ -175,5 +176,6 @@
 showlinux.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
 showsys.o:	atop.h  photoproc.h photosyst.h  showgeneric.h 
 showprocs.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
+version.o:	version.h
 
 atopacctd.o:	atop.h  photoproc.h acctproc.h   version.h     atopacctd.h
