=== debian/changelog ===
atop (2.3.0-1) unstable; urgency=medium

  * new upstream release
  * new git URLs
  * Maintainer address on packages.debian.org
  * fix Makefile to allow consecutive clean
  * Standards-Version: 4.1.2 (no changes necessary)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 30 Dec 2017 15:36:37 +0000

atop (2.2.6-5) unstable; urgency=medium

  * install systemd unit and initscript in dh_auto_install.
    Thanks to Adrian Bunk and nthykier (Closes: #881479)
  * get rid of dh-systemd dependency, bump debhelper dependency
  * bump debhelper level to 10

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 17 Nov 2017 18:52:51 +0100
