=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: atop
 Section: admin
 Priority: optional
-Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
-Build-Depends: debhelper (>= 9~), dh-systemd, zlib1g-dev, libncurses5-dev
-Standards-Version: 3.9.8
+Maintainer: Marc Haber <atop@packages.debian.org>
+Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
+Build-Depends: debhelper (>= 10~), zlib1g-dev, libncurses5-dev
+Standards-Version: 4.1.2
 Homepage: http://atoptool.nl/
-Vcs-Git: git://git.debian.org/git/collab-maint/atop.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/atop.git/
+Vcs-Git: https://salsa.debian.org/debian/atop.git
+Vcs-Browser: https://salsa.debian.org/debian/atop
 
 Package: atop
 Architecture: linux-any
